/*******************************************************************************
 * Copyright (c) 2012 Rushan R. Gilmullin and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     Rushan R. Gilmullin - initial API and implementation
 *******************************************************************************/
 package org.eclipse.osbp.vaaclipse.common.ecview.api;

import java.util.List;

import org.eclipse.osbp.ecview.core.common.editpart.IViewEditpart;

/**
 * Keeps track of active ecview instances.
 */
public interface IECViewContainer {

	/**
	 * Returns a list with all ECViews registered with this Vaaclipse session.
	 * 
	 * @return
	 */
	List<IViewEditpart> getECViews();

}
