/*******************************************************************************
 * Copyright (c) 2012 Rushan R. Gilmullin and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     Rushan R. Gilmullin - initial API and implementation
 *******************************************************************************/

 package org.eclipse.osbp.vaaclipse.widgets;

import java.util.EventObject;

import com.vaadin.shared.communication.ServerRpc;
import com.vaadin.shared.ui.splitpanel.AbstractSplitPanelState;

/**
 * @author rushan
 *
 */
public interface SashWidget {
	void addListener(SplitPositionChangedListener listener);

	void fireEvent(EventObject event);

	AbstractSplitPanelState getState();

	<T extends ServerRpc> void registerRpc(T implementation,
			Class<T> rpcInterfaceType);
}
